#include <stdio.h>
#include "../winuser.h"
int _FILLsurface(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _CRsurface(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _BLTsurface(mmachine m)
{ m->pp+=8;return MMpush(m,NIL); }
int _SDRAWrectangle(mmachine m)
{ m->pp+=10;return MMpush(m,NIL); }
int _SDRAWline(mmachine m)
{ m->pp+=8;return MMpush(m,NIL); }
int _SDRAWcircle(mmachine m)
{ m->pp+=9;return MMpush(m,NIL); }
int _SDRAWtext(mmachine m)
{ m->pp+=7;return MMpush(m,NIL); }
int _DSsurface(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _Surface2Bitmap(mmachine m)
{ m->pp+=9;return MMpush(m,NIL); }
int _Bitmap2Surface(mmachine m)
{ m->pp+=9;return MMpush(m,NIL); }
int _GETsurfaceSize(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _SDRAWpoly(mmachine m)
{ m->pp+=8;return MMpush(m,NIL); }
int _Surface2Surface(mmachine m)
{ m->pp+=9;return MMpush(m,NIL); }
int MX3TestSurfaceZbuf(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
#define NsurfacePKG 15
char* surfacename[NsurfacePKG]=
{"ObjSurface","_FILLsurface","_CRsurface","_BLTsurface","_SDRAWrectangle","_SDRAWline","_SDRAWcircle","_SDRAWtext","_DSsurface","_Surface2Bitmap","_Bitmap2Surface","_GETsurfaceSize","_SDRAWpoly","_Surface2Surface","MX3TestSurfaceZbuf"};
int (*surfacefun[NsurfacePKG])(mmachine m)=
{NULL,_FILLsurface,_CRsurface,_BLTsurface,_SDRAWrectangle,_SDRAWline,_SDRAWcircle,_SDRAWtext,_DSsurface,_Surface2Bitmap,_Bitmap2Surface,_GETsurfaceSize,_SDRAWpoly,_Surface2Surface,MX3TestSurfaceZbuf};
int surfacenarg[NsurfacePKG]=
{TYPTYPE,2,3,8,10,8,9,7,1,9,9,1,8,9,1};
char* surfacetype[NsurfacePKG]=
{NULL,"fun [ObjSurface I] ObjSurface","fun [Chn I I] ObjSurface","fun [ObjWin I I ObjSurface I I I I] ObjWin","fun [ObjSurface I I I I I I I I I] ObjSurface","fun [ObjSurface I I I I I I I] ObjSurface","fun [ObjSurface I I I I I I I I] ObjSurface","fun [ObjSurface ObjFont I I I I S] ObjSurface","fun [ObjSurface] I","fun [ObjBitmap I I ObjSurface I I I I I] ObjBitmap","fun [ObjSurface I I ObjBitmap I I I I I] ObjSurface","fun [ObjSurface] [I I]","fun [ObjSurface I tab [I I] I I I I I] ObjSurface","fun [ObjSurface I I ObjSurface I I I I I] ObjSurface","fun [ObjSurface] I"};
int SCOLloadsurface(mmachine m)
{
return PKhardpak(m,"surface.pkg",NsurfacePKG,surfacename,surfacefun,surfacenarg,surfacetype);
}
